"use strict";
/**
 * Copied from
 * https://github.com/material-components/material-components-web/blob/master/packages/mdc-ripple/util.js
 * Copyright 2016 Google Inc. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
function supportsCssVariables(windowObj) {
    var supportsFunctionPresent = windowObj.CSS && typeof windowObj.CSS.supports === "function";
    if (!supportsFunctionPresent) {
        return false;
    }
    var explicitlySupportsCssVars = windowObj.CSS.supports("--css-vars", "yes");
    // See: https://bugs.webkit.org/show_bug.cgi?id=154669
    // See: README section on Safari
    var weAreFeatureDetectingSafari10plus = (windowObj.CSS.supports("(--css-vars: yes)") &&
        windowObj.CSS.supports("color", "#00000000"));
    return explicitlySupportsCssVars || weAreFeatureDetectingSafari10plus;
}
exports.supportsCssVariables = supportsCssVariables;
function getMatchesProperty(htmlElementPrototype) {
    return [
        "webkitMatchesSelector", "msMatchesSelector", "matches",
    ].filter(function (p) { return p in htmlElementPrototype; }).pop() || "matches";
}
exports.getMatchesProperty = getMatchesProperty;
//# sourceMappingURL=rippleUtil.js.map